from motor.motor_asyncio import AsyncIOMotorDatabase
import schemas
from crud.base import CRUDBase

__all__ = 'event_point',

from utils import get_uid


class CRUDProjectNumber(CRUDBase):
    # 获取对应游戏的数据，默认把基础属性的数据也获取出来
    async def all_event(self, db: AsyncIOMotorDatabase, game):
        return await self.find_many(db, {'game': {'$in':[game,'basics_attr']}})

    # # 修改数据
    # async def update(self, db: AsyncIOMotorDatabase, data_in: schemas.AddProjectnumber):
    #     game = data_in.game
    #     add_ditch = []
    #     for member in data_in.ditch:
    #         add_ditch.append(member.dict())
    #     await self.update_one(db, {'game': game}, {'$set': {'ditch': add_ditch}})
    #
    # # 插入数据
    # async def create(self, db: AsyncIOMotorDatabase, data_in: schemas.ProjectnumberInsert):
    #     # await self.update_one(db, {'xiangmu': data_in.xiangmu}, {'$set': data_in.dict()}, upsert=True)
    #     await self.update_one(db, {data_in.game, data_in.ditch}, upsert=True)


event_point = CRUDProjectNumber('event_point')
